MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > SpacewarpObject : Node > Spacewarp - Deflectors >

# SOmniFlect : SpacewarpObject

    SOmniFlect - superclass: SpacewarpObject; super-superclass:node - classID: #(1700857802, 522734191)

Value > MAXWrapper > Node > SpacewarpObject > Deflectors > SOmniFlect

Constructor:

    SOmniFlect...

Properties:

    <SOmniFlect>.'time on' Integer default: 0 -- animatable; alias: time_on

Time at which the deflection starts.

    <SOmniFlect>.'time off' Integer default: 16000 -- animatable; alias: time_off

Time at which the deflection ends.

    <SOmniFlect>.affects Float default: 100.0 -- animatable, percentage; alias: reflects

The percentage of particles to be reflected by the SOmniFlect.

    <SOmniFlect>.bounce Float default: 1.0 -- animatable

This is a multiplier that specifies how much of the initial speed of the particle is maintained after collision with the SOmniFlect. Using the default setting of 1.0 causes the particle to rebound with the same speed as it collides. A real-world effect would usually be less than 1.0. For a "flubber" effect, set greater than 1.0.

    <SOmniFlect>.bouncevar Float default: 0.0 -- animatable, percentage; alias: bounce_variation

The variation of Bounce applied to the range of particles.

    <SOmniFlect>.chaos Float default: 0.0 -- animatable

Applies a random variation to the bounce angle. When set to 0.0 (no chaos), all particles bounce off the SOmniFlect surface perfectly (like banking pool balls). A non-zero setting causes the deflected particles to scatter.

    <SOmniFlect>.Refracts Float default: 100.0 -- animatable, percentage

The percentage of particlesnot already reflectedthat will be refracted by the SOmniFlect.

    <SOmniFlect>.'pass velocity' Float default: 1.0 -- animatable; alias: pass_velocity

Defines how much of a particle's initial speed is maintained after passing through the SOmniFlect. The default setting of 1 retains the initial speed is retained, so there's no change. A setting of 0.5 reduces the speed by half.

    <SOmniFlect>.'passvel var' Float default: 0.0 -- animatable; percentage; alias: pass_velocity_variation

Variation of the Pass Velocity setting applied to the range of particles.

    <SOmniFlect>.refraction Float default: 50.0 -- animatable; percentage; alias: distortion

Controls the angle of refraction. A value of 0 means there's no refraction. A value of 100% sets the angle of the particles to be parallel with the SOmniFlect surface. A value of -100% sets the angle perpendicular to the surface. The Distortion effect is reversed when particles strike the SOmniFlect from the back side.

    <SOmniFlect>.'refraction var' Float default: 0.0 -- animatable; percentage; alias: distortion_variation

Range of variation of the Distortion effect.

    <SOmniFlect>.Diffusion Float default: 0.0 -- animatable, percentage

Applies a diffusion effect to the refraction by randomly modifying each particle's Distortion angle by the Diffusion angle. This effectively scatters the particles into a hollow cone.

    <SOmniFlect>.'diffusion var' Float default: 0.0 -- animatable; percentage; alias: diffusion_variation

Range of variation of the Diffusion value.

    <SOmniFlect>.inheritVelocity Float default: 1.0 -- animatable; alias: velocity_inheritance

Determines how much of a moving SOmniFlect's speed is applied to reflected or refracted particles.

    <SOmniFlect>.deceleration Float default: 1.0 -- animatable

Sets the deceleration of particles.

    <SOmniFlect>.'decel var' Float default: 0.0 -- animatable; percentage

Sets the variation in deceleration of particles.

    <SOmniFlect>.spawn Float default: 100.0 -- animatable; percentage; alias: spawn_percentage

The percentage of particles that can use spawn effects.

    <SOmniFlect>.friction Float default: 0.0 -- animatable; percentage

When set to 0.0 (the default), the surface of the deflector is treated as frictionless, and there's no change in the particle behavior. As the friction value increases, particles begin to rebound at incorrect angles and with greater speed.

    <SOmniFlect>.radius Float default: 0.0 -- animatable

The radius of the SomniFlect icon.

Note getPropnames() and showProperties() show two sets of parameters called Pass_Velocity and Pass_Velocity_Variation . The first set is for Refraction, the second for Spawn Effects Only groups. Due to this sharing of property names, you cannot access the Spawn Effects Only Pass_Velocity and Pass_Velocity_Variation using their property names. You can access the value assigned to these parameters, and their controller if assigned, as subAnims 17 and 18 of the base object.

Associated Methods

    bindSpaceWarp <particlesys_node> <SOmniFlect_node>

Associated Binding Modifier

    SOmniFlectMod

This modifier is automatically created by the bindSpaceWarp() method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.

#### See Also

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods